Loading...
Searching...
No Matches
GFRandom Class Reference

generate random elements in GF More...

`#include <cf_random.h>`

## Public Member Functions

| GFRandom ()
| ~GFRandom ()
CanonicalForm | generate () const
CFRandom * | clone () const
| GFRandom ()
| ~GFRandom ()
CanonicalForm | generate () const
CFRandom * | clone () const
| GFRandom ()
| ~GFRandom ()
CanonicalForm | generate () const
CFRandom * | clone () const
Public Member Functions inherited from CFRandom
virtual | ~CFRandom ()
virtual | ~CFRandom ()
virtual | ~CFRandom ()

## Detailed Description

generate random elements in GF

Definition at line 31 of file cf_random.h.

## Constructor & Destructor Documentation

## GFRandom() [1/3]

GFRandom::GFRandom | ( |  | ) |

inline

Definition at line 34 of file cf_random.h.

{};

## ~GFRandom() [1/3]

GFRandom::~GFRandom | ( |  | ) |

inline

Definition at line 35 of file cf_random.h.

{}

## GFRandom() [2/3]

GFRandom::GFRandom | ( |  | ) |

inline

Definition at line 851 of file factory.h.

{};

## ~GFRandom() [2/3]

GFRandom::~GFRandom | ( |  | ) |

inline

Definition at line 852 of file factory.h.

{}

## GFRandom() [3/3]

GFRandom::GFRandom | ( |  | ) |

inline

Definition at line 851 of file factory.h.

{};

## ~GFRandom() [3/3]

GFRandom::~GFRandom | ( |  | ) |

inline

Definition at line 852 of file factory.h.

{}

## Member Function Documentation

## clone() [1/3]

CFRandom * GFRandom::clone | ( |  | ) | const

virtual

Reimplemented from CFRandom.

Definition at line 82 of file cf_random.cc.

{
return new GFRandom();
}
GFRandom::GFRandom
GFRandom()
Definition cf_random.h:34

## clone() [2/3]

CFRandom * GFRandom::clone | ( |  | ) | const

virtual

Reimplemented from CFRandom.

## clone() [3/3]

CFRandom * GFRandom::clone | ( |  | ) | const

virtual

Reimplemented from CFRandom.

## generate() [1/3]

CanonicalForm GFRandom::generate | ( |  | ) | const

virtual

Reimplemented from CFRandom.

Definition at line 75 of file cf_random.cc.

{
int i= factoryrandom( gf_q );
if ( i == gf_q1 ) i++;
return CanonicalForm( int2imm_gf( i ) );
}
i
int i
Definition cfEzgcd.cc:132
gf_q
VAR int gf_q
Definition gfops.cc:47
gf_q1
VAR int gf_q1
Definition gfops.cc:50
int2imm_gf
InternalCF * int2imm_gf(long i)
Definition imm.h:106
factoryrandom
int factoryrandom(int n)
random integers with abs less than n
Definition cf_random.cc:177

## generate() [2/3]

CanonicalForm GFRandom::generate | ( |  | ) | const

virtual

Reimplemented from CFRandom.

## generate() [3/3]

CanonicalForm GFRandom::generate | ( |  | ) | const

virtual

Reimplemented from CFRandom.

The documentation for this class was generated from the following files:

- factory/cf_random.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_random.cc